"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isJsonWebKey2020 = exports.getJsonWebKey2020VerificationMethod = exports.VERIFICATION_METHOD_TYPE_JSON_WEB_KEY_2020 = void 0;
const crypto_1 = require("../../../../crypto");
exports.VERIFICATION_METHOD_TYPE_JSON_WEB_KEY_2020 = 'JsonWebKey2020';
function getJsonWebKey2020VerificationMethod({ did, key, jwk, verificationMethodId, }) {
    if (!verificationMethodId) {
        const k = key !== null && key !== void 0 ? key : crypto_1.Key.fromJwk(jwk);
        verificationMethodId = `${did}#${k.fingerprint}`;
    }
    return {
        id: verificationMethodId,
        type: exports.VERIFICATION_METHOD_TYPE_JSON_WEB_KEY_2020,
        controller: did,
        publicKeyJwk: jwk !== null && jwk !== void 0 ? jwk : key.toJwk(),
    };
}
exports.getJsonWebKey2020VerificationMethod = getJsonWebKey2020VerificationMethod;
function isJsonWebKey2020(verificationMethod) {
    return verificationMethod.type === exports.VERIFICATION_METHOD_TYPE_JSON_WEB_KEY_2020;
}
exports.isJsonWebKey2020 = isJsonWebKey2020;
//# sourceMappingURL=JsonWebKey2020.js.map